xine-lib: xine_stree_t Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
xine_stree_t Struct Reference

`#include <stree.h>`

## Data Fields
uint32_t | next
uint32_t | prev
uint32_t | first_child
uint32_t | last_child
uint32_t | parent
uint32_t | num_children
uint32_t | level
uint32_t | index
uint32_t | key
uint32_t | value

## Field Documentation

## ◆ first_child

uint32_t xine_stree_t::first_child

<< xine_stree_t index

Referenced by _xine_stree_load_json(), _xine_stree_load_url(), _xine_stree_load_xml(), _xine_stree_node_new(), xine_stree_dump(), and xine_stree_find().

## ◆ index

uint32_t xine_stree_t::index

Referenced by _xine_stree_load_json(), _xine_stree_load_url(), and _xine_stree_load_xml().

## ◆ key

uint32_t xine_stree_t::key

<< int

Referenced by _xine_stree_load_json(), _xine_stree_load_url(), _xine_stree_load_xml(), _xine_stree_node_new(), xine_stree_dump(), and xine_stree_find().

## ◆ last_child

uint32_t xine_stree_t::last_child

Referenced by _xine_stree_load_json(), _xine_stree_load_url(), _xine_stree_load_xml(), and _xine_stree_node_new().

## ◆ level

uint32_t xine_stree_t::level

Referenced by _xine_stree_load_json(), _xine_stree_load_url(), _xine_stree_load_xml(), _xine_stree_node_new(), and xine_stree_dump().

## ◆ next

uint32_t xine_stree_t::next

Referenced by _xine_stree_load_json(), _xine_stree_load_url(), _xine_stree_load_xml(), _xine_stree_node_new(), xine_stree_dump(), and xine_stree_find().

## ◆ num_children

uint32_t xine_stree_t::num_children

<< xine_stree_t index

Referenced by _xine_stree_load_json(), _xine_stree_load_url(), _xine_stree_load_xml(), and _xine_stree_node_new().

## ◆ parent

uint32_t xine_stree_t::parent

Referenced by _xine_stree_load_json(), _xine_stree_load_url(), _xine_stree_load_xml(), _xine_stree_node_new(), and xine_stree_dump().

## ◆ prev

uint32_t xine_stree_t::prev

Referenced by _xine_stree_load_json(), _xine_stree_load_url(), _xine_stree_load_xml(), _xine_stree_node_new(), and xine_stree_dump().

## ◆ value

uint32_t xine_stree_t::value

Referenced by _xine_stree_load_json(), _xine_stree_load_url(), _xine_stree_load_xml(), _xine_stree_node_new(), and xine_stree_dump().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine/stree.h